#!/bin/sh
#------------------------------------------------------------------------------
#
# Filename: agentstatus.sh 
#
# Description: This script determines the status of the CIMOM server

# Change History:
#
#  Modifier            Date                Change ID
# ------------------------------------------------------------------------------
#  IBM-RO TEAM       02-08-2005 
#  Initial creation
#-------------------------------------------------------------------------------

is_cimom_service_running(){
  if [ ! -z "$1" ]; then
    /bin/ps -p $1 > /dev/null 2>/dev/null
    return $?
  else
    /bin/ps -ef | /bin/grep -v "grep " | /bin/grep -E "cimserver" >/dev/null 2>/dev/null
    return $?
  fi
}

export COLUMNS=1000

#Check that CIMOM is not already running
if is_cimom_service_running; then
# A CIMOM istance is already running
  echo "Tape CIM Object Manager server is running."
  exit 1; 
fi

echo "Tape CIM Object Manager server is stopped."
exit 0;




